Bug 71218

Summary: Don’t unconditionally enable -Werror for non-release builds
Product: nice Reporter: Philip Withnall <bugzilla>
Component: GeneralAssignee: Dafydd Harries <dafydd.harries>
Status: RESOLVED FIXED QA Contact:
Severity: normal    
Priority: medium CC: olivier.crete
Version: unspecified   
Hardware: Other   
OS: All   
Whiteboard:
i915 platform: i915 features:
Attachments: Don’t unconditionally enable -Werror for non-release builds

Description Philip Withnall 2013-11-04 12:40:41 UTC
If the user has some warning flags in their CFLAGS which the main developers don’t have enabled, this can cause spurious build failures.

Patch coming which disables this behaviour by default unless libnice is configured with --enable-compile-warnings=error (which mimics the behaviour of the gnome-common macro used by many other projects).
Comment 1 Philip Withnall 2013-11-04 12:41:11 UTC
Created attachment 88606 [details] [review]
Don’t unconditionally enable -Werror for non-release builds
Comment 2 Olivier Crête 2014-03-06 22:20:45 UTC
This is merged

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.